#include "partition.h"
#include <algorithm>
using namespace std;

#define MAXN 2000000


vector<int> solve(vector<int> A){
  int n=A.size(),i;
  // int x=(n+1)/2;
  // long long S=0;
  // vector<int> ind(n);

  // for(i=0;i<n;i++){
  //   ind[i]=i;
  //   S+=A[i];
  // }

  if(n%2==0&&(n/2)%2==1){
    exit(100);
  }

  vector<int> parts;
  for(i=0;i<n/2;i++){
    if(n%2==1&&i==n/4){
      parts.push_back((n+1)/2-1);
    }
    if(n%2==0&&(n/2)%2==1){
      parts.push_back(n-i-1);
      parts.push_back(i);
    }else{
      parts.push_back(i);
      parts.push_back(n-i-1);
    }
  }

  return parts;
}